<?php
function anz_stellen(){
global $db;
## Vorgehensweise: Anzahl der Stellen zählen, die neu erfasst wurden
## Anzahl der Stellen zählen, die bereits erfasst wurden
## Summe aus beiden muss <= 3 sein
$uid1=$_COOKIE["uid1"];

$anz_vert1 = 0;
$anz_vert2 = 0;
$anz_vert3 = 0;
$anz_vert4 = 0;

for ($i= 1;$i<= 12;$i++)
{
$stellenart	= $_POST[stellenart.$i]; // Vom Formular gesendetes Objekt in Variable schreiben
$bezeichnung	= $_POST[bezeichnung.$i];
$str		= $_POST[str.$i];
$postfach	= $_POST[postfach.$i];
$plz		= $_POST[plz.$i];
$ort		= $_POST[ort.$i];
$bundesland	= $_POST[bundesland.$i];
$staat		= $_POST[staat.$i];
$beginndatum	= $_POST[beg_jahr.$i].'-'.$_POST[beg_mon.$i].'-'.$_POST[beg_tag.$i];
$enddatum	= $_POST[ende_jahr.$i].'-'.$_POST[ende_mon.$i].'-'.$_POST[ende_tag.$i];
$abteilung	= $_POST[abteilung.$i];
$telabteilung	= $_POST[telabteilung.$i];

## Beim 4-blockfeld gibt es nur die blöcke 1,4,7 und 10.
## Die Textfelder sind somit nicht gesetzt. daher werden diese in dem Fall
## mit einem Standardwert versehen, damit man nicht auf Fehler beim abpseichern läuft

if(!isset($_POST[stellenart.$i])){$stellenart=1;}



  if($stellenart != '1'){
      switch($i){
	case 1:
          	$vertiefungsbereich1 = $_POST[vert1];
          	$anz_vert1 = $anz_vert1 + 1;
		break;
	case 2:
		$vertiefungsbereich1 = $_POST[vert1];
		$anz_vert1 = $anz_vert1 + 1;
		break;
	case 3:
		$vertiefungsbereich1 = $_POST[vert1];
		$anz_vert1 = $anz_vert1 + 1;
		break;
	case 4:
		$vertiefungsbereich2 = $_POST[vert2];
		$anz_vert2 = $anz_vert2 + 1;
		break;
	case 5:
		$vertiefungsbereich2 = $_POST[vert2];
		$anz_vert2 = $anz_vert2 + 1;
		break;
	case 6:
		$vertiefungsbereich2 = $_POST[vert2];
		$anz_vert2 = $anz_vert2 + 1;
		break;
	case 7:
		$vertiefungsbereich3 = $_POST[vert3];
		$anz_vert3 = $anz_vert3 + 1;
		break;
	case 8:
		$vertiefungsbereich3 = $_POST[vert3];
		$anz_vert3 = $anz_vert3 + 1;
		break;
	case 9:
		$vertiefungsbereich3 = $_POST[vert3];
		$anz_vert3 = $anz_vert3 + 1;
		break;
	case 10:
		$vertiefungsbereich4 = $_POST[vert4];
		$anz_vert4 = $anz_vert4 + 1;
		break;
	case 11:
		$vertiefungsbereich4 = $_POST[vert4];
		$anz_vert4 = $anz_vert4 + 1;
		break;
	case 12:
		$vertiefungsbereich4 = $_POST[vert4];
		$anz_vert4 = $anz_vert4 + 1;
		break;
      }
  }
}

$db = dbconnect();

$vert_anz1 = $db->query("SELECT count(*) Anz1
                       FROM stan_antrag
                      WHERE uid='$uid1'
                        AND vert_bereich = '$vertiefungsbereich1'
                        AND (status = '-1' or status = '0')");
$row_veranz1 = $vert_anz1->fetch_array();

$vert_anz2 = $db->query("SELECT count(*) Anz2
                       FROM stan_antrag
                      WHERE uid='$uid1'
                        AND vert_bereich = '$vertiefungsbereich2'
                        AND (status = '-1' or status = '0')");
$row_veranz2 = $vert_anz2->fetch_array();

$vert_anz3 = $db->query("SELECT count(*) Anz3
                       FROM stan_antrag
                      WHERE uid='$uid1'
                        AND vert_bereich = '$vertiefungsbereich3'
                        AND (status = '-1' or status = '0')");
$row_veranz3 = $vert_anz3->fetch_array();

$vert_anz4 = $db->query("SELECT count(*) Anz4
                       FROM stan_antrag
                      WHERE uid='$uid1'
                        AND vert_bereich = '$vertiefungsbereich4'
                        AND (status = '-1' or status = '0')");
$row_veranz4 = $vert_anz4->fetch_array();

$db_anz1 =$row_veranz1[Anz1];
$db_anz2 =$row_veranz2[Anz2];
$db_anz3 =$row_veranz3[Anz3];
$db_anz4 =$row_veranz4[Anz4];

$ges1=$db_anz1+$anz_vert1;
$ges2=$db_anz2+$anz_vert2;
$ges3=$db_anz3+$anz_vert3;
$ges4=$db_anz4+$anz_vert4;


if($ges1 > 3){
 $vert_bereich[] = $vertiefungsbereich1;
 $do_messg = 'X';
}

if($ges2 > 3){
 $vert_bereich[] = $vertiefungsbereich2;
 $do_messg = 'X';
}

if($ges3 > 3){
 $vert_bereich[] = $vertiefungsbereich3;
 $do_messg = 'X';
}

if($ges4 > 3){
 $vert_bereich[] = $vertiefungsbereich4;
 $do_messg = 'X';
}


if($do_messg == 'X'){



echo"
<html>
<head>
<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">
<link rel=\"stylesheet\" href=\"../styles_pc.css\" type=\"text/css\">
<title>Anmeldung[]en noch nicht m&ouml;glich!</title>
</head>
<body>
<table border=\"0\" style=\"border-collapse: collapse\" width=\"100%\" cellpadding=\"0\" height=\"100%\" id=\"table1\">
    <tr>
        <td>
        <div align=\"center\">
            <table cellspacing=\"0\" cellpadding=\"0\" width=\"80%\" border=\"0\">
                <tr>
                    <td width=\"10\" background=\"../images/box_e1.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"3%\" background=\"../images/box_top.gif\" valign=\"top\"></td>
                    <td width=\"95%\" background=\"../images/box_top.gif\">
                    <img height=\"10\" src=\"../images/blank.gif\" width=\"1\"><br>
                    <span class=\"sh\">Pflichtfelder!</span><br>
                    <img height=\"5\" src=\"../images/blank.gif\" width=\"1\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e2.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td width=\"1%\" background=\"../images/box_l.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td colspan=\"2\"><br>
                    Bei folgenden Vertiefungsbereichen wurden bereits 3 Stellen abgegeben<br><br>
                    ";
                    for ($k=0;$k<sizeof($vert_bereich);$k++) {
                      $vert_bez = $db->query("SELECT bezeichnung
		                                 FROM stan_vertiefungsbereich
		                                WHERE vbid='$vert_bereich[$k]'");
		      $row_vertbez = $vert_bez->fetch_array();

                      echo"<b>Vertiefungsbereich: $row_vertbez[bezeichnung]</b><br>";
                    }
                    echo"<br>
                    Bitte korrigieren Sie Ihre Stellen.
                    <p align=\"center\"><a href=\"javascript:history.back()\">
                    <img border=\"0\" src=\"../images/zurueck.gif\" width=\"77\" height=\"22\"></a><br>
                    </p>
                    <p></p>
                    <p></p>
                    <p></p>
                    <p></p>
                    <p><br>
                    </p>
                    </td>
                    <td width=\"1%\" background=\"../images/box_r.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"1%\" background=\"../images/box_e3.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"98%\" background=\"../images/box_bottom.gif\" colspan=\"2\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"8\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e4.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"> </td>
                </tr>
            </table>
        </div>
        </td>
    </tr>
</table>
</body>
</html>";
exit;
}

}
?>